html {
    height: 100%;
}
body {
    min-height: 100vh;
    background-color: #fff;
}
.flex-row {
    display: flex;
    align-items: center;
    justify-content: center;
}
.flex-column{
    display: flex;
    flex-flow: column;
    align-items: center;
}
.mask {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: rgba(0,0,0,.8);
}
.toDraw {
    width: 5.26rem;
    position: relative;
}
.toDraw img {
    width: 5.26rem;
}
.toDrawTitle {
    position: absolute;
    text-align: center;
    font-size: 0.44rem;
    color: #fa4747;
    width: 5.26rem;
    top: 3rem;
    left: 0;
    margin: 0;
}
.toDrawBtn {
    width: 3.22rem;
    height: 0.75rem;
    border-radius: 0.375rem;
    background-color: #fa4747;
    border: none;
    outline: none;
    font-size: 0.32rem;
    color: #fff;
    box-shadow: 0 0 0.2rem rgba(204,34,34,.75);
    position: absolute;
    top: 4.84rem;
    left: 1.02rem;
}
.rules {
    width: 3rem;
    height: .72rem;
    border: none;
    outline: none;
    background-color: transparent;
    color: #fff;
    font-size: 0.32rem;
    text-align: center;
    position: absolute;
    top: 6.4rem;
    left: 1.13rem;
}
.rulesContent {
    height: 6.28rem;
    width: 5.26rem;
    background-image: url("../image/rulesBg.png");
    background-size: 100% 100%;
    padding: 0.35rem;
    box-sizing: border-box;
}
.rulesContent h3 {
    text-align: center;
    font-size: 0.3rem;
    color: #fb4f4f;
    margin: 0.2rem auto 0.2rem;
}
.rulesContent .rulesText {
    height: 4.8rem;
    overflow-y: auto;
}
.rulesContent .rulesText h6 {
    font-size: 0.24rem;
    margin: 0.1rem 0;
}
.rulesContent .rulesText p {
    margin: 0;
    font-size: 0.24rem;
}
.rulesBox .close {
    width: 0.48rem;
    height: 0.48rem;
    background-image: url("../image/close.png");
    background-size: 100% 100%;
    margin-top: 0.5rem;
}
#mask .blin {
    width: 100%;
    height: 100%;
    background-image: url("../image/gold.png");
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
    -o-animation: circle 10s linear infinite;
    -ms-animation: circle 10s linear infinite;
    -moz-animation: circle 10s linear infinite;
    -webkit-animation: circle 10s linear infinite;
    animation: circle 10s linear infinite;
}
@keyframes circle {
    0% {
        -o-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -o-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
#mask .caidai {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    background-image: url("../image/dianzhui.png");
    background-size: 100%;
    background-position: center;
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
}
#mask .winning {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 5.48rem;
    transform: translate(-50%, -50%);
}
#mask .reback {
    -o-animation: reback .5s linear forwards;
    -ms-animation: reback .5s linear forwards;
    -moz-animation: reback .5s linear forwards;
    -webkit-animation: reback .5s linear forwards;
    animation: reback .5s linear forwards;
}
@keyframes reback {
    100% {
        -o-transform: scale(1);
        -ms-transform: scale(1);
        -moz-transform: scale(1);
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}
.winning .red-head {
    width: 5.48rem;
    height: 3.32rem;
    background-image: url("../image/top.png");
    background-size: 100% 100%;
    position: relative;
    top: 0.7rem;
}
.winning .red-body {
    position: relative;
    z-index: 2;
    width: 5.48rem;
    height: 3.5rem;
    background-image: url("../image/bottom.png");
    background-size: 100% 100%;
    top: -0.7rem;
}
.winning #card {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    margin-left: -2.15rem;
    margin-top:-2.1rem;
    width: 4.3rem;
    height: 2.62rem;
    background-image: url("../image/middle.png");
    background-size: 100% 100%;
    -o-transition: card .5s;
    -ms-transition: card .5s;
    -moz-transition: card .5s;
    -webkit-transition: card .5s;
    transition: card .5s;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    padding-bottom: 0.2rem;
    box-sizing: border-box;
}
#card h5 {
    font-size: 0.8rem;
    color: #ff8210;
    text-align: center;
    margin: 0.15rem auto;
    font-weight: normal
}
#card p {
    font-size: 0.24rem;
    color: #999999;
    text-align: center;
    margin: 0;
}
#card .win {
    display: block;
    margin: 0.13333333rem auto;
    width: 92%;
    height: 3.86666667rem;
}
.winning .pull {
    -o-animation: card .5s linear forwards;
    -ms-animation: card .5s linear forwards;
    -moz-animation: card .5s linear forwards;
    -webkit-animation: card .5s linear forwards;
    animation: card .5s linear forwards;
}
@keyframes card {
    100% {
        margin-top: -2.1rem;
    }
}
.winning .btn {
    position: absolute;
    outline: none;
    border: none;
    left: 50%;
    bottom: 10%;
    z-index: 2;
    width: 4.85333333rem;
    height: 0.94666667rem;
    margin-left: -2.42666667rem;
    -o-animation: shake .5s 2 linear alternate;
    -ms-animation: shake .5s 2 linear alternate;
    -moz-animation: shake .5s 2 linear alternate;
    -webkit-animation: shake .5s 2 linear alternate;
    animation: shake .5s 2 linear alternate;
}
@keyframes shake {
    50% {
        -o-transform: rotate(-5deg);
        -ms-transform: rotate(-5deg);
        -moz-transform: rotate(-5deg);
        -webkit-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }
    100% {
        -o-transform: rotate(5deg);
        -ms-transform: rotate(5deg);
        -moz-transform: rotate(5deg);
        -webkit-transform: rotate(5deg);
        transform: rotate(5deg);
    }
}
@keyframes fadein {
    100% {
        opacity: 1;
        -o-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
#mask .tips {
    color: #fff;
    font-size: 0.24rem;
    text-align: center;
    position: absolute;
    width: 100%;
    bottom: 1.4rem;
    z-index: 99;
}
#mask .back {
    width: 3.6rem;
    height: 0.68rem;
    line-height: 0.68rem;
    background-color: #ffef37;
    box-shadow: 0 0.23rem 0.16rem rgba(255,255,255,.4) inset;
    position: absolute;
    top: 50%;
    border-radius: 0.34rem;
    color: #ff5400;
    font-size: 0.3rem;
    margin-top: 3rem;
    left: 50%;
    margin-left: -1.8rem;
    z-index: 9999;
    outline: none;
    border: none;
}
.noPrize {
    height: 6.28rem;
    width: 5.26rem;
    background-image: url("../image/noPrizeBg.png");
    background-size: 100% 100%;
    position: relative;
}
.noPrize button {
    width: 3.22rem;
    height: 0.75rem;
    border-radius: 0.375rem;
    background-color: #fa4747;
    border: none;
    outline: none;
    font-size: 0.32rem;
    color: #fff;
    box-shadow: 0 0 0.2rem rgba(204,34,34,.75);
    position: absolute;
    top: 4.84rem;
    left: 1.02rem;
}
.weChat {
    width: 5.6rem;
    height: 5.8rem;
    border-radius: 0.24rem;
    background-color: #fff;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}
.weChat p {
    font-size: 0.48rem;
    color: #017ac1;
    margin: 0 0 0.5rem;
}
.weChat img {
    width: 3.4rem;
}
#weChatMask .close2 {
    width: 0.48rem;
    height: 0.48rem;
    background-image: url("../image/close.png");
    background-size: 100% 100%;
    margin-top: 0.5rem;
}